import { Models as M } from './models';
import * as _ from 'lodash';

export namespace Constants {

  export const AuthHeaderField = 'x-access-token';

  export const MinPasswordChars = 6;

  export const ValidHsGradYears = _.range(2000, 2030);

  export const PostWorkoutSurvey: M.IMCQuestion[] = [
    {
      prompt: 'Compare this App workout to a normal workout by yourself.',
      options: [
        'This app workout was way better',
        'This app workout was a bit better',
        'They are about the same',
        'My own workouts are a bit better',
        'My own workouts are way better'
      ]
    },
    {
      prompt: 'On a 0-10 scale, how likely are you to recommend this app to your friends?',
      options: [
        '0 - Not all likely',
        '1',
        '2',
        '3',
        '4',
        '5 - Neutral',
        '6',
        '7',
        '8',
        '9',
        '10 - Extremely likely'
      ]
    },
    {
      prompt: 'What price would be too 💰 expensive to keep using this app next month?',
      options: [
        'I would never pay',
        '$5 per month',
        '$10 per month',
        '$15 per month',
        '$20 per month'
      ]
    }
  ];
  
}